Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfFunction

    java.lang.Object
      com.lowagie.text.pdf.PdfFunction

    public class PdfFunction

extends Object

Implements PDF functions.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`protected PdfDictionary` | `dictionary`
`protected PdfIndirectReference` | `reference`
`protected PdfWriter` | `writer`

Constructor Summary
`protected` | `PdfFunction(PdfWriter writer)` Creates new PdfFunction

Method Summary
`(package private) PdfIndirectReference` | `getReference()`
`static PdfFunction` | `type0(PdfWriter writer, float[] domain, float[] range, int[] size, int bitsPerSample, int order, float[] encode, float[] decode, byte[] stream)`
`static PdfFunction` | `type2(PdfWriter writer, float[] domain, float[] range, float[] c0, float[] c1, float n)`
`static PdfFunction` | `type3(PdfWriter writer, float[] domain, float[] range, PdfFunction[] functions, float[] bounds, float[] encode)`
`static PdfFunction` | `type4(PdfWriter writer, float[] domain, float[] range, String postscript)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    protected PdfWriter writer

### reference

    protected PdfIndirectReference reference

### dictionary

    protected PdfDictionary dictionary

Constructor Detail

### PdfFunction

    protected PdfFunction(PdfWriter writer)

  Creates new PdfFunction

Method Detail

### getReference

    PdfIndirectReference getReference()

### type0

    public static PdfFunction type0(PdfWriter writer,
                                    float[] domain,
                                    float[] range,
                                    int[] size,
                                    int bitsPerSample,
                                    int order,
                                    float[] encode,
                                    float[] decode,
                                    byte[] stream)

### type2

    public static PdfFunction type2(PdfWriter writer,
                                    float[] domain,
                                    float[] range,
                                    float[] c0,
                                    float[] c1,
                                    float n)

### type3

    public static PdfFunction type3(PdfWriter writer,
                                    float[] domain,
                                    float[] range,
                                    PdfFunction[] functions,
                                    float[] bounds,
                                    float[] encode)

### type4

    public static PdfFunction type4(PdfWriter writer,
                                    float[] domain,
                                    float[] range,
                                    String postscript)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD